import React__default from 'react';

interface AvatarProps {
    image?: string | null;
    /** click event handler */
    onClick?: (event: React__default.BaseSyntheticEvent) => void;
    /** mouseOver event handler */
    onMouseOver?: (event: React__default.BaseSyntheticEvent) => void;
    /** Size in pixels
     * @default 32px
     */
    size?: number;
    /** Shape of the avatar - circle, rounded or square
     * @default circle
     */
    shape?: 'circle' | 'rounded' | 'square';
    update?: (url: string) => void;
    list?: string[];
}
declare function Avatar<T extends AvatarProps>(props: T): React__default.ReactElement;

export { Avatar, AvatarProps };
