interface IConversationListContentProps {
    /** Renders a customized component in the conversation list main. */
    children: React.ReactNode;
    /** Indicates whether the chat list is empty */
    empty?: boolean;
    /** Indicates whether the chat list is currently loading */
    loading?: boolean;
    /** Indicates whether there was an error loading the chat list */
    error?: boolean;
    /** A custom component to display when the chat list is empty */
    PlaceholderEmptyList?: React.ReactNode;
    /** A custom component to display while the chat list is loading */
    PlaceholderLoading?: React.ReactNode;
    /** A custom component to display when there is an error loading the chat list */
    PlaceholderLoadError?: React.ReactNode;
    /** The custom class name */
    className?: string;
    /** The custom css style */
    style?: React.CSSProperties;
}
declare function ConversationListContent<T extends IConversationListContentProps>(props: T): React.ReactElement;

export { ConversationListContent, IConversationListContentProps };
