import * as react_jsx_runtime from 'react/jsx-runtime';
import React__default from 'react';
import { IConversationModel } from '@tencentcloud/chat-uikit-engine';
import { IConversationPreviewProps } from '../../ConversationPreview/ConversationPreview.js';
import { AvatarProps } from '../../Avatar/Avatar.js';

interface IConversationSearchResultProps {
    /** Whether to show the search result */
    visible?: boolean;
    /** The search result */
    searchResult?: IConversationModel[];
    /** The search input value */
    searchValue?: string;
    /** The custom ResultPreview component */
    ResultPreview?: React__default.ComponentType<IConversationPreviewProps>;
    /** The custom Avatar component */
    Avatar?: React__default.ComponentType<AvatarProps>;
    /** The custom no result Placeholder component */
    PlaceholderNoResult?: React__default.ReactNode;
    /**  Callback when the ResultPreview is clicked */
    onSelectResult?: (conversation: IConversationModel) => void;
    /** The custom class name */
    className?: string;
    /** The custom css style */
    style?: React__default.CSSProperties;
}
declare function ConversationSearchResult(props: IConversationSearchResultProps): react_jsx_runtime.JSX.Element | null;

export { ConversationSearchResult, IConversationSearchResultProps };
