import React__default, { ReactEventHandler } from 'react';
import { Message } from '@tencentcloud/chat';
import { UnknowPorps } from '../../context/ComponentContext.js';
import { messageShowType } from '../../context/MessageContext.js';
import { MessagePluginsProps } from './MessagePlugins.js';

interface TUIMessageBasicProps {
    className?: string;
    filter?: (data: Message) => void;
    isShowTime?: boolean;
    isShowRead?: boolean;
    plugin?: MessagePluginsProps;
    prefix?: React__default.ReactElement | string;
    suffix?: React__default.ReactElement | string;
    customName?: React__default.ReactElement;
    showAvatar?: messageShowType;
    showName?: messageShowType;
    customAvatar?: React__default.ReactElement;
    isShowProgress?: boolean;
    Progress?: React__default.ComponentType<{
        message: Message;
    }>;
}
interface TUIMessageProps extends TUIMessageBasicProps {
    message?: Message;
    className?: string;
    TUIMessage?: React__default.ComponentType;
    MessageContext?: React__default.ComponentType<UnknowPorps>;
    MessagePlugins?: React__default.ComponentType<UnknowPorps>;
    handleDelete?: ReactEventHandler;
    CustemElement?: React__default.ComponentType<{
        message: Message;
    }>;
    TextElement?: React__default.ComponentType<{
        message: Message;
    }>;
    ImageElement?: React__default.ComponentType<{
        message: Message;
    }>;
    VideoElement?: React__default.ComponentType<{
        message: Message;
    }>;
    AudioElement?: React__default.ComponentType<{
        message: Message;
    }>;
    FileElement?: React__default.ComponentType<{
        message: Message;
    }>;
    MergerElement?: React__default.ComponentType<{
        message: Message;
    }>;
    LocationElement?: React__default.ComponentType<{
        message: Message;
    }>;
    FaceElement?: React__default.ComponentType<{
        message: Message;
    }>;
}
declare function TUIMessage(props: TUIMessageProps): React__default.ReactElement;

export { TUIMessage, TUIMessageProps };
