import React__default, { PropsWithChildren } from 'react';
import { Message } from '@tencentcloud/chat';
import { IMessageModel } from '@tencentcloud/chat-uikit-engine';
import { OperateMessageParams } from '../components/Chat/hooks/useHandleMessage.js';

interface TUIChatActionContextValue {
    updateMessage?: (messages: Message[]) => void;
    setFirstSendMessage?: (message: IMessageModel) => void;
    editLocalMessage?: (message: Message) => void;
    operateMessage?: (data?: OperateMessageParams) => void;
    loadMore?: () => Promise<void>;
    revokeMessage?: (message: Message) => Promise<Message>;
    setAudioSource?: (source: HTMLAudioElement | null) => void;
    setVideoSource?: (source: HTMLVideoElement | null) => void;
    setHighlightedMessageId?: (highlightedMessageId: string) => void;
    updateUploadPendingMessageList?: (message?: Message) => void;
    setActiveMessageID?: (messageID: string) => void;
    callButtonClicked?: (callMediaType?: number, callType?: any) => void;
}
declare const TUIChatActionContext: React__default.Context<TUIChatActionContextValue | undefined>;
declare function TUIChatActionProvider({ children, value, }: PropsWithChildren<{
    value: TUIChatActionContextValue;
}>): React__default.ReactElement;
declare const useTUIChatActionContext: (componentName?: string) => TUIChatActionContextValue;

export { TUIChatActionContext, TUIChatActionContextValue, TUIChatActionProvider, useTUIChatActionContext };
