import React__default, { RefObject, MutableRefObject, PropsWithChildren } from 'react';
import { Conversation, Message } from '@tencentcloud/chat';
import { TUIMessageProps } from '../components/MessageElement/Message.js';
import { MessageListProps } from '../components/MessageList/MessageList.js';
import { TUIMessageInputBasicProps } from '../components/MessageInput/MessageInput.js';
import { OperateMessageParams } from '../components/Chat/hooks/useHandleMessage.js';

interface TUIChatStateContextValue {
    conversation?: Conversation;
    messageList?: Message[];
    nextReqMessageID?: string;
    isCompleted?: boolean;
    init?: boolean;
    highlightedMessageId?: string;
    lastMessageID?: string;
    isSameLastMessageID?: boolean;
    messageListRef?: RefObject<HTMLDivElement>;
    textareaRef?: MutableRefObject<HTMLTextAreaElement | undefined>;
    operateData?: OperateMessageParams;
    noMore?: boolean;
    messageConfig?: TUIMessageProps;
    cloudCustomData?: string;
    TUIMessageInputConfig?: TUIMessageInputBasicProps;
    audioSource?: HTMLAudioElement | null;
    vidoeSource?: HTMLVideoElement | null;
    TUIMessageListConfig?: MessageListProps;
    uploadPendingMessageList?: Message[];
    firstSendMessage?: Message | null;
    activeMessageID?: string;
}
declare const TUIChatStateContext: React__default.Context<TUIChatStateContextValue | null>;
declare function TUIChatStateContextProvider({ children, value }: PropsWithChildren<{
    value: TUIChatStateContextValue;
}>): React__default.ReactElement;
declare function useTUIChatStateContext(componentName?: string): TUIChatStateContextValue;

export { TUIChatStateContext, TUIChatStateContextProvider, TUIChatStateContextValue, useTUIChatStateContext };
