import React__default, { PropsWithChildren } from 'react';
import { Friend, Profile, FriendApplication } from '@tencentcloud/chat';

interface TUIContactContextValue {
    friendList?: Friend[];
    blocklistProfile?: Profile[];
    friendApplicationList?: FriendApplication[];
    blockList?: string[];
    isShowContactList?: boolean;
    setShowContactList?: React__default.Dispatch<React__default.SetStateAction<boolean>>;
}
declare const TUIContactContext: React__default.Context<TUIContactContextValue>;
declare function TUIContactContextProvider({ children, value }: PropsWithChildren<{
    value: TUIContactContextValue;
}>): React__default.ReactElement;
declare function useTUIContactContext(componentName?: string): TUIContactContextValue;

export { TUIContactContext, TUIContactContextProvider, TUIContactContextValue, useTUIContactContext };
