import React__default, { ReactEventHandler, PropsWithChildren } from 'react';
import { Message } from '@tencentcloud/chat';
import { MessagePluginsProps } from '../components/MessageElement/MessagePlugins.js';

declare enum messageShowType {
    IN = "in",
    OUT = "out",
    ALL = "all",
    NONE = "none"
}
interface TUIMessageContextValue {
    message?: Message;
    handleDelete?: ReactEventHandler;
    CustemElement?: React__default.ComponentType<{
        message: Message;
    }>;
    TextElement?: React__default.ComponentType<{
        message: Message;
    }>;
    ImageElement?: React__default.ComponentType<{
        message: Message;
    }>;
    VideoElement?: React__default.ComponentType<{
        message: Message;
    }>;
    AudioElement?: React__default.ComponentType<{
        message: Message;
    }>;
    FileElement?: React__default.ComponentType<{
        message: Message;
    }>;
    MergerElement?: React__default.ComponentType<{
        message: Message;
    }>;
    LocationElement?: React__default.ComponentType<{
        message: Message;
    }>;
    FaceElement?: React__default.ComponentType<{
        message: Message;
    }>;
    filter?: (data: Message) => void;
    isShowTime?: boolean;
    isShowRead?: boolean;
    plugin?: MessagePluginsProps;
    prefix?: React__default.ReactElement | string;
    suffix?: React__default.ReactElement | string;
    customName?: React__default.ReactElement;
    showAvatar?: messageShowType;
    showName?: messageShowType;
    customAvatar?: React__default.ReactElement;
    isShowProgress?: boolean;
    Progress?: React__default.ComponentType<{
        message: Message;
    }>;
}
declare const TUIMessageContext: React__default.Context<TUIMessageContextValue>;
declare function TUIMessageContextProvider({ children, value }: PropsWithChildren<{
    value: TUIMessageContextValue;
}>): React__default.ReactElement;
declare function useTUIMessageContext(componentName?: string): TUIMessageContextValue;

export { TUIMessageContext, TUIMessageContextProvider, TUIMessageContextValue, messageShowType, useTUIMessageContext };
