import React__default, { PropsWithChildren } from 'react';
import { Conversation, Message } from '@tencentcloud/chat';
import { IMessageModel } from '@tencentcloud/chat-uikit-engine';
import { UnknowPorps } from '../../context/ComponentContext.js';
import { TUIChatHeaderDefaultProps } from '../ChatHeader/ChatHeaderDefault.js';
import { TUIMessageProps } from '../MessageElement/Message.js';
import { MessageContextProps } from '../MessageElement/MessageContext.js';
import { MessageListProps } from '../MessageList/MessageList.js';
import { TUIMessageInputBasicProps } from '../MessageInput/MessageInput.js';

interface TUIChatProps {
    className?: string;
    conversation?: Conversation;
    EmptyPlaceholder?: React__default.ReactElement;
    TUIMessage?: React__default.ComponentType<TUIMessageProps | UnknowPorps>;
    TUIChatHeader?: React__default.ComponentType<TUIChatHeaderDefaultProps>;
    MessageContext?: React__default.ComponentType<MessageContextProps>;
    TUIMessageInput?: React__default.ComponentType<UnknowPorps>;
    InputPlugins?: React__default.ComponentType<UnknowPorps>;
    InputQuote?: React__default.ComponentType<UnknowPorps>;
    MessagePlugins?: React__default.ComponentType<UnknowPorps>;
    MessageCustomPlugins?: React__default.ComponentType<UnknowPorps>;
    MessageTextPlugins?: React__default.ComponentType<UnknowPorps>;
    onMessageRecevied?: (updateMessage: (event?: Message[]) => void, event: any) => void;
    sendMessage?: (message: Message, options?: any) => Promise<Message>;
    revokeMessage?: (message: Message) => Promise<Message>;
    selectedConversation?: (conversation: Conversation) => Promise<Conversation>;
    filterMessage?: (messageList: IMessageModel[]) => IMessageModel[];
    callButtonClicked?: (callMediaType?: number, callType?: any) => void;
    messageConfig?: TUIMessageProps;
    cloudCustomData?: string;
    TUIMessageInputConfig?: TUIMessageInputBasicProps;
    TUIMessageListConfig?: MessageListProps;
    [propName: string]: any;
}
declare function UnMemoizedChat<T extends TUIChatProps>(props: PropsWithChildren<T>): React__default.ReactElement;
declare const Chat: typeof UnMemoizedChat;

export { Chat };
