import React__default, { InputHTMLAttributes } from 'react';

interface InputProps extends Omit<InputHTMLAttributes<HTMLInputElement>, 'size' | 'prefix' | 'type'> {
    className?: string;
    inputClassName?: string;
    placeholder?: string;
    clearable?: boolean;
    prefix?: React__default.ReactNode;
    suffix?: React__default.ReactNode;
    value?: InputHTMLAttributes<HTMLInputElement>['value'];
    border?: '' | 'bottom';
    disabled?: boolean;
    maxLength?: number;
    onChange?: (event: React__default.ChangeEvent<HTMLInputElement>) => void;
    onBlur?: (event: React__default.FocusEvent<HTMLInputElement>) => void;
    onFocus?: (event: React__default.FocusEvent<HTMLInputElement>) => void;
    onKeyDown?: (event: React__default.KeyboardEvent<HTMLInputElement>) => void;
}
interface InputRef {
    focus: (options?: object) => void;
    blur: () => void;
    input: HTMLInputElement | null;
}
declare const Input: React__default.ForwardRefExoticComponent<InputProps & React__default.RefAttributes<InputRef>>;

export { Input, InputProps, InputRef };
