import React__default, { PropsWithChildren } from 'react';
import _tencentcloud_chat from '@tencentcloud/chat';
import { PluginsProps } from '../Plugins/index.js';

declare enum PluginsNameEnum {
    quote = "quote",
    forward = "forward",
    copy = "copy",
    delete = "delete",
    resend = "resend",
    revoke = "revoke"
}
type MessagePluginConfigProps = {
    [propsName in PluginsNameEnum]?: {
        isShow?: boolean;
        relateMessageType?: _tencentcloud_chat.TYPES[];
    };
};
interface MessagePluginsProps extends PluginsProps {
    config?: MessagePluginConfigProps;
}
declare function MessagePlugins<T extends MessagePluginsProps>(props: PropsWithChildren<T>): React__default.ReactElement;

export { MessagePluginConfigProps, MessagePlugins, MessagePluginsProps };
