import React__default, { MutableRefObject, PropsWithChildren } from 'react';
import { UnknowPorps } from '../../context/ComponentContext.js';

interface PluginConfigProps {
    plugins?: React__default.ReactElement[];
    showNumber?: number;
    MoreIcon?: React__default.ReactElement;
    isEmojiPicker?: boolean;
    isImagePicker?: boolean;
    isVideoPicker?: boolean;
    isFilePicker?: boolean;
}
interface TUIMessageInputBasicProps {
    disabled?: boolean;
    focus?: boolean;
    textareaRef?: MutableRefObject<HTMLTextAreaElement | undefined>;
    isTransmitter?: boolean;
    className?: string;
    pluginConfig?: PluginConfigProps;
}
interface TUIMessageInputProps extends TUIMessageInputBasicProps {
    TUIMessageInput?: React__default.ComponentType;
    InputPlugins?: React__default.ComponentType<UnknowPorps>;
    InputQuote?: React__default.ComponentType<UnknowPorps>;
}
declare function UnMemoizedMessageInput<T extends TUIMessageInputProps>(props: PropsWithChildren<T>): React__default.ReactElement;
declare const MessageInput: typeof UnMemoizedMessageInput;

export { MessageInput, PluginConfigProps, TUIMessageInputBasicProps, TUIMessageInputProps };
