import * as react_jsx_runtime from 'react/jsx-runtime';
import { IconTypes } from '../Icon/type.js';

declare const PlaceHolderTypes: {
    readonly LOADING: "LOADING";
    readonly NO_CONVERSATIONS: "NO_CONVERSATIONS";
    readonly NO_MESSAGES: "NO_MESSAGES";
    readonly WRONG: "WRONG";
    readonly NO_RESULTS: "NO_RESULTS";
};
declare const PlaceHolderIconTypes: {
    readonly LOADING: IconTypes.LOADING;
    readonly NO_CONVERSATIONS: IconTypes.EFFORT;
    readonly NO_MESSAGES: IconTypes.EFFORT;
    readonly WRONG: IconTypes.CRY;
    readonly NO_RESULTS: IconTypes.CRY;
};
declare const PlaceHolderStringTypes: {
    readonly LOADING: "";
    readonly NO_CONVERSATIONS: "No conversation";
    readonly NO_MESSAGES: "No message";
    readonly WRONG: "Something was wrong";
    readonly NO_RESULTS: "No results";
};
interface PlaceHolderProps {
    className?: string;
    type: keyof typeof PlaceHolderTypes;
    iconSize?: number;
    searchString?: string;
    retry?: () => void;
}
declare function PlaceHolder({ className, type, iconSize, searchString, retry, }: PlaceHolderProps): react_jsx_runtime.JSX.Element;

export { PlaceHolder, PlaceHolderIconTypes, PlaceHolderProps, PlaceHolderStringTypes, PlaceHolderTypes };
