import * as react_jsx_runtime from 'react/jsx-runtime';
import { PropsWithChildren } from 'react';
import { IConversationModel } from '@tencentcloud/chat-uikit-engine';

interface ConversationListProviderProps {
    /** Specifies a function to filter conversations in the conversation list. */
    filter?: (conversationList: IConversationModel[]) => IConversationModel[];
    /** Specifies a function to sort conversations in the conversation list. */
    sort?: (conversationList: IConversationModel[]) => IConversationModel[];
}
interface ConversationListContextType {
    conversationList: IConversationModel[];
    filteredAndSortedConversationList: IConversationModel[];
    currentConversation: IConversationModel | undefined;
    setCurrentConversation: (conversation: IConversationModel) => void;
    isLoading: boolean;
    isLoadError: boolean;
}
declare function ConversationListProvider(props: PropsWithChildren<Partial<ConversationListProviderProps>>): react_jsx_runtime.JSX.Element;
declare function useConversationList(): ConversationListContextType;

export { ConversationListContextType, ConversationListProvider, ConversationListProviderProps, useConversationList };
