import * as React from 'react';
import { PropsWithChildren } from 'react';
import * as react_jsx_runtime from 'react/jsx-runtime';
import { ChatSDK, Conversation } from '@tencentcloud/chat';

interface UIKitProviderProps {
    chat?: ChatSDK;
    language?: string;
    theme?: string;
    colors?: Record<string, string>;
    customClasses?: string;
    activeConversation?: Conversation;
}
declare function UIKitProvider(props: PropsWithChildren<UIKitProviderProps>): react_jsx_runtime.JSX.Element;
declare const useUIKit: (componentName?: string) => {
    chat: ChatSDK;
    language: string;
    setLanguage: React.Dispatch<React.SetStateAction<string>>;
    theme: string;
    colors: Record<string, string> | undefined;
    setTheme: React.Dispatch<React.SetStateAction<string>>;
    setColors: React.Dispatch<React.SetStateAction<Record<string, string> | undefined>>;
};

export { UIKitProvider, useUIKit };
